org.wildfly.swarm.config.management.access

## Class SensitivityClassificationConstraint<T extends SensitivityClassificationConstraint<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.access.SensitivityClassificationConstraint<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class SensitivityClassificationConstraint<T extends SensitivityClassificationConstraint<T>>
      extends HashMap

  The sensitivity classification constraints.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SensitivityClassificationConstraint.SensitivityClassificationConstraintResources` Child mutators for SensitivityClassificationConstraint

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SensitivityClassificationConstraint()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `SensitivityClassificationConstraint.SensitivityClassificationConstraintResources` | `subresources()`
    `T` | `type(String childKey)` Create and configure a Type object to the list of subresources
    `T` | `type(String childKey, TypeConsumer consumer)` Create and configure a Type object to the list of subresources
    `T` | `type(Type value)` Add the Type object to the list of subresources
    `T` | `type(TypeSupplier supplier)` Install a supplied Type object to the list of subresources
    `T` | `types(List<Type> value)` Add all Type objects to this subresource

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### SensitivityClassificationConstraint

          public SensitivityClassificationConstraint()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public SensitivityClassificationConstraint.SensitivityClassificationConstraintResources subresources()

    - #### types

          public T types(List<Type> value)

      Add all Type objects to this subresource
      Parameters:
        `value` - List of Type objects.
      Returns:
        this

    - #### type

          public T type(Type value)

      Add the Type object to the list of subresources
      Parameters:
        `value` - The Type to add
      Returns:
        this

    - #### type

          public T type(String childKey,
                        TypeConsumer consumer)

      Create and configure a Type object to the list of subresources
      Parameters:
        `key` - The key for the Type resource
        `config` - The TypeConsumer to use
      Returns:
        this

    - #### type

          public T type(String childKey)

      Create and configure a Type object to the list of subresources
      Parameters:
        `key` - The key for the Type resource
      Returns:
        this

    - #### type

          public T type(TypeSupplier supplier)

      Install a supplied Type object to the list of subresources

Copyright © 2017 JBoss by Red Hat. All rights reserved.